package com.bytesw.bytebot.etl.model;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.persistence.*;

@Cacheable(false)
@Entity
@Getter @Setter @ToString
@Table(name="avb_goal")
@NamedQuery(name = "Goal.findByPK", query = "Select p from Goal p where p.id = ?1")
public class Goal {

    @Id
    @Column(name = "goal_id")
    @SequenceGenerator(name = "AVB_GOAL_GENERATOR", sequenceName = "AVB_GOAL_SEQ", initialValue = 1, allocationSize = 1)
    @GeneratedValue(strategy = GenerationType.SEQUENCE,generator = "AVB_GOAL_GENERATOR")
    private Long id;

    @Column(name = "goal_ident")
    private String identifier;

    @Column(name = "agen_id")
    private Long agenId;
}
