package com.bytesw.bytebot.model;

import lombok.*;

import javax.persistence.*;
import java.io.Serializable;

@Entity
@Getter
@Setter
@ToString
@Table(name = "avb_bcd_control")
@NamedQuery(name = "BdcControl.findByPK", query = "Select u from BdcControl u where u.id = ?1")
public class BdcControl implements Serializable {

    @Id
    @Column(name = "bcd_id")
    @SequenceGenerator(name = "AVB_BCD_CONTROL_GENERATOR", sequenceName = "AVB_BCD_CONTROL_SEQ", initialValue = 1, allocationSize = 1)
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "AVB_BCD_CONTROL_GENERATOR")
    private Long id;

    @Column(name = "bcd_uuid")
    private String uuid;

    @Column(name = "bcd_file")
    private String fileName;

    @Column(name = "bcd_file_id")
    private Long fileId;

    @Column(name = "bcd_status")
    private String status;

    @Column(name = "bcd_user")
    private String user;

    @Column(name = "bcd_date")
    private String date;

}
